Loading...
Searching...
No Matches
vector_rep< T >

## Detailed Description

template<class T>
struct rheolef::vector_rep< T >

Definition at line 140 of file Vector.h.

Inheritance diagram for vector_rep< T >:

## Public Types

typedef std::vector< T > | DATA
typedef DATA::iterator | iterator
typedef DATA::const_iterator | const_iterator
typedef DATA::pointer | pointer
typedef DATA::reference | reference
typedef DATA::const_reference | const_reference
typedef DATA::size_type | size_type
typedef DATA::difference_type | difference_type
typedef T | value_type
typedef DATA::reverse_iterator | reverse_iterator
typedef DATA::const_reverse_iterator | const_reverse_iterator

## Public Member Functions

| vector_rep (const vector_rep &x)
| vector_rep (size_type n=0, const T &value=T())
| vector_rep (const_iterator first, const_iterator last)

## Member Typedef Documentation

## DATA

template<class T >

typedef std::vector<T> DATA

Definition at line 143 of file Vector.h.

## iterator

template<class T >

typedef DATA::iterator iterator

Definition at line 145 of file Vector.h.

## const_iterator

template<class T >

typedef DATA::const_iterator const_iterator

Definition at line 146 of file Vector.h.

## pointer

template<class T >

typedef DATA::pointer pointer

Definition at line 147 of file Vector.h.

## reference

template<class T >

typedef DATA::reference reference

Definition at line 148 of file Vector.h.

## const_reference

template<class T >

typedef DATA::const_reference const_reference

Definition at line 149 of file Vector.h.

## size_type

template<class T >

typedef DATA::size_type size_type

Definition at line 150 of file Vector.h.

## difference_type

template<class T >

typedef DATA::difference_type difference_type

Definition at line 151 of file Vector.h.

## value_type

template<class T >

typedef T value_type

Definition at line 152 of file Vector.h.

## reverse_iterator

template<class T >

typedef DATA::reverse_iterator reverse_iterator

Definition at line 153 of file Vector.h.

## const_reverse_iterator

template<class T >

typedef DATA::const_reverse_iterator const_reverse_iterator

Definition at line 154 of file Vector.h.

## Constructor & Destructor Documentation

## vector_rep() [1/3]

template<class T >

vector_rep | ( | const vector_rep< T > & | x | ) |

Definition at line 158 of file Vector.h.

## vector_rep() [2/3]

template<class T >

vector_rep | ( | size_type | n = `0`,
|  | const T & | value = `T ()`
| ) |  |

explicit

Definition at line 163 of file Vector.h.

## vector_rep() [3/3]

template<class T >

vector_rep | ( | const_iterator | first,
|  | const_iterator | last
| ) |  |

Definition at line 168 of file Vector.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/util/lib/Vector.h